/*
 * Class CURSOR_STRUCTURE [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2054 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2054 [] = {0xFF01,1551,2053,842,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2054 [] = {0xFF01,2053,842,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2054 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2054 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2054 [] = {0xFF01,2053,842,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2054 [] = {0xFF01,2053,842,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2054 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2054 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2054 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2054 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2054 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2054 [] = {2053,842,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2054 [] = {0xFF01,2053,842,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2054 [] = {0xFF01,2050,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2054 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2054 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2054 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_2054[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2054), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2054), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2054), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2054), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2054), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2054), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2054), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2054), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2054), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2054), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2054), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2054), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2054), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2054), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8664, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8665, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8666, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8667, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2054), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2054), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9048, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9049, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9050, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2054), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9101, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2054), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2054(void)
{
	IDSC(desc_2054, 0, 2053);
	IDSC(desc_2054 + 1, 1, 2053);
	IDSC(desc_2054 + 32, 1134, 2053);
	IDSC(desc_2054 + 41, 1135, 2053);
	IDSC(desc_2054 + 50, 1060, 2053);
	IDSC(desc_2054 + 56, 254, 2053);
	IDSC(desc_2054 + 59, 778, 2053);
}


#ifdef __cplusplus
}
#endif
